library(ggplot2)

perf <- read.table("perf.dat", header = TRUE)

ggplot(perf, aes(x=taille, y=temps, group=tri, colour=tri)) + 
geom_point() + geom_smooth() + facet_grid(tri~sort) + ggtitle("Graphe des temps d'exécution")

ggsave("../Images/graphe_temps.png")

ggplot(perf, aes(x=taille, y=mem, group=tri, colour=tri)) + 
geom_point() + geom_smooth() + facet_grid(tri~sort) + ggtitle("Graphe des consommations mémoire")

ggsave("../Images/graphe_memoire.png")